
QGIS Application - Bug report #16111

different (wrong) output of bufferalgorithm when used in graphical modeller

2017-01-25 12:27 AM - Pieter Brusselman

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.18.2 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24023

Description

With 4 different polygonshapefiles I'm doing the following steps: polygon to line -> merge them al together -> split lines on intersection ->

polygonize -> inside buffer -> join attributes by location

When doing it by hand, step by step, I have no problem.  When putting all those steps together in a model I get following error:

QgsFeature.setGeometry(QgsGeometry): argument 1 has unexpected type 'NoneType'. This happens at the last step.

The problem occurs with the inside buffer.  When I use the inside buffer as output of the model and do the 'join attributes by location' by

hand, I get the same error.

Related issues:

Related to QGIS Application - Bug report # 16115: different (wrong) output of... Closed 2017-01-26

History

#1 - 2017-01-25 01:01 AM - Pieter Brusselman

When doing a validity check (Method GEOS) I get following message: GEOS error:could not produce geometry for GEOS (check log window), every error

has a field area = 0.000

#2 - 2017-02-02 05:06 AM - Alexander Bruy

Looks like your dataset has invalid or empty geometries.

#3 - 2017-03-07 03:33 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

Please attach sample project/data.

#4 - 2017-04-20 12:34 AM - Alexander Bruy

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
